Get statement | Moov Documentation

Get statement

Retrieve a statement by its ID.

Use the Accept header to specify the format of the response. Supported formats are application/json and application/pdf.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}/statements/{statementID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/statements/{statementID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.statements.get({
    accountID: "5623ff52-0b05-41ea-b7b3-655835064007",
    statementID: "9d45acbf-c4fe-4843-846c-eaa43c9ca17f",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->statements->get(
    accountID: '5623ff52-0b05-41ea-b7b3-655835064007',
    statementID: '9d45acbf-c4fe-4843-846c-eaa43c9ca17f'
);

if ($response->statement !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetStatementResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetStatementResponse res = sdk.statements().get()
                .accountID("5623ff52-0b05-41ea-b7b3-655835064007")
                .statementID("9d45acbf-c4fe-4843-846c-eaa43c9ca17f")
                .call();

if (res.statement().isPresent()) {
            // handle response
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.statements.get(account_id="5623ff52-0b05-41ea-b7b3-655835064007", statement_id="9d45acbf-c4fe-4843-846c-eaa43c9ca17f")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.statements.get(account_id: '5623ff52-0b05-41ea-b7b3-655835064007', statement_id: '9d45acbf-c4fe-4843-846c-eaa43c9ca17f')

unless res.statement.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Statements.GetAsync(
    accountID: "5623ff52-0b05-41ea-b7b3-655835064007",
    statementID: "9d45acbf-c4fe-4843-846c-eaa43c9ca17f"
);

// handle response

The request has succeeded.

Ask

Example

A billing statement for a Moov account.

{
  "statementID": "string",
  "statementName": "string",
  "fileName": "string",
  "fileSize": 0,
  "billingPeriodStartDateTime": "2019-08-24T14:15:22Z",
  "billingPeriodEndDateTime": "2019-08-24T14:15:22Z",
  "subscriptionIDs": [
    "string"
  ],
  "summary": {
    "cardAcquiring": {
      "volumeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "volumeCount": 0,
      "feeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "merchantFeesCollected": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "partnerFeesAssessed": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "netIncome": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "interchangeFees": {
        "visa": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        },
        "mastercard": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        },
        "discover": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        },
        "americanExpress": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      }
    },
    "ach": {
      "volumeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "volumeCount": 0,
      "feeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "merchantFeesCollected": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "partnerFeesAssessed": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "netIncome": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "instantPayments": {
      "volumeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "volumeCount": 0,
      "feeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "merchantFeesCollected": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "partnerFeesAssessed": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "netIncome": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "platformFees": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "accountFees": {
      "volumeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "volumeCount": 0,
      "feeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "merchantFeesCollected": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "partnerFeesAssessed": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "netIncome": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "adjustmentFees": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "otherFees": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "otherCardFees": {
      "volumeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "volumeCount": 0,
      "feeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "merchantFeesCollected": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "partnerFeesAssessed": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "netIncome": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "total": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "netIncomeSubtotal": {
      "volumeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "volumeCount": 0,
      "feeAmount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "merchantFeesCollected": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "partnerFeesAssessed": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "netIncome": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "revenueShare": "string",
    "residualSubtotal": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "monthlyPartnerCosts": {
      "minimumCommitment": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "monthlyPlatform": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      },
      "total": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "netPartnerPayment": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    }
  },
  "cardAcquiringFees": {
    "visa": {
      "interchange": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "interchangePrograms": [
        {
          "programName": "string",
          "count": 0,
          "percentageRate": 0,
          "perItemRate": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "total": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "transferVolume": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          }
        }
      ],
      "networkPassthrough": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "declines": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "refunds": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "cardCancellations": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "total": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      }
    },
    "mastercard": {
      "interchange": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "interchangePrograms": [
        {
          "programName": "string",
          "count": 0,
          "percentageRate": 0,
          "perItemRate": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "total": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "transferVolume": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          }
        }
      ],
      "networkPassthrough": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "declines": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "refunds": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "cardCancellations": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "total": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      }
    },
    "discover": {
      "interchange": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "interchangePrograms": [
        {
          "programName": "string",
          "count": 0,
          "percentageRate": 0,
          "perItemRate": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "total": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "transferVolume": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          }
        }
      ],
      "networkPassthrough": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "declines": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "refunds": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "cardCancellations": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "total": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      }
    },
    "americanExpress": {
      "interchange": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "interchangePrograms": [
        {
          "programName": "string",
          "count": 0,
          "percentageRate": 0,
          "perItemRate": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "total": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          },
          "transferVolume": {
            "currency": "USD",
            "valueDecimal": "12.987654321"
          }
        }
      ],
      "networkPassthrough": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedDomesticInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalOnline": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "completedInternationalInPerson": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "declines": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "refunds": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "cardCancellations": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      },
      "total": {
        "count": 0,
        "amount": {
          "currency": "USD",
          "valueDecimal": "12.987654321"
        }
      }
    }
  },
  "achFees": {
    "standardCredit": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "sameDayCredit": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "debits": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "return": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "unauthorizedReturn": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "noticeOfChange": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "bankAccountVerification": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "total": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    }
  },
  "instantPaymentFees": {
    "rtpCreditTransaction": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "rtpDecline": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "pushToCardTransaction": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "pushToCardDecline": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "pullFromCardTransaction": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "pullFromCardDecline": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "pullFromCardRefund": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "instantVerification": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "total": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    }
  },
  "platformFees": {
    "walletFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "merchantPCIFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "total": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    }
  },
  "accountFees": {
    "walletFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "merchantPCIFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "invoicePaymentFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "kybFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "kycFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "transactionMonitoringFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "total": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    }
  },
  "otherCardFees": {
    "disputes": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "cardAccountUpdater": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "cardVerification": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "nameVerification": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    },
    "total": {
      "count": 0,
      "amount": {
        "currency": "USD",
        "valueDecimal": "12.987654321"
      }
    }
  },
  "partnerFees": {
    "minimumCommitment": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "monthlyPlatform": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "total": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    }
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z"
}

File Response

Returns a file (binary data, application/pdf).

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

A billing statement for a Moov account.

The end date and time of the billing period.

The start date and time of the billing period.

The date and time the statement was created.

The name of the statement file.

The size of the statement file in bytes.

The unique identifier for the statement.

A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).

The name of the statement.

List of subscription IDs associated with this statement.

A summary of all fees included in a statement.

Show child attributes

A summary of account fees.

Show child attributes

The total fee amount.

Show child attributes

A 3-letter ISO 4217 currency code.

A decimal-formatted numerical string that represents up to 9 decimal place precision.